Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
The java examples to illustrate the usage of the mailbox concept.
[simgrid.git] / examples / amok / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 # Makefile chunk which allows to display the files which should be included
24 # into the distribution.
25
26 # It is intended to be included in all Makefile.am 
27
28 VPATH = @srcdir@
29 pkgdatadir = $(datadir)/@PACKAGE@
30 pkglibdir = $(libdir)/@PACKAGE@
31 pkgincludedir = $(includedir)/@PACKAGE@
32 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
33 install_sh_DATA = $(install_sh) -c -m 644
34 install_sh_PROGRAM = $(install_sh) -c
35 install_sh_SCRIPT = $(install_sh) -c
36 INSTALL_HEADER = $(INSTALL_DATA)
37 transform = $(program_transform_name)
38 NORMAL_INSTALL = :
39 PRE_INSTALL = :
40 POST_INSTALL = :
41 NORMAL_UNINSTALL = :
42 PRE_UNINSTALL = :
43 POST_UNINSTALL = :
44 build_triplet = @build@
45 host_triplet = @host@
46 target_triplet = @target@
47 noinst_PROGRAMS = bandwidth/bandwidth_maestro$(EXEEXT) \
48         bandwidth/bandwidth_sensor$(EXEEXT) \
49         bandwidth/bandwidth_simulator$(EXEEXT) \
50         saturate/saturate_maestro$(EXEEXT) \
51         saturate/saturate_sensor$(EXEEXT) \
52         saturate/saturate_simulator$(EXEEXT)
53 @GRAS_ARCH_32_BITS_TRUE@am__append_1 = bandwidth/bandwidth_rl.tesh bandwidth/bandwidth_sg_32.tesh
54 @GRAS_ARCH_32_BITS_FALSE@am__append_2 = bandwidth/bandwidth_rl.tesh bandwidth/bandwidth_sg_64.tesh
55 @GRAS_ARCH_32_BITS_TRUE@am__append_3 = saturate/saturate_rl.tesh saturate/saturate_sg_32.tesh
56 @GRAS_ARCH_32_BITS_FALSE@am__append_4 = saturate/saturate_rl.tesh saturate/saturate_sg_64.tesh
57 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
58         $(top_srcdir)/acmacro/dist-files.mk
59 subdir = examples/amok
60 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
61 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
62         $(top_srcdir)/acmacro/compiler-flags.m4 \
63         $(top_srcdir)/acmacro/context.m4 \
64         $(top_srcdir)/acmacro/fancy_configury.m4 \
65         $(top_srcdir)/acmacro/flex.m4 \
66         $(top_srcdir)/acmacro/gras_arch.m4 \
67         $(top_srcdir)/acmacro/print_null.m4 \
68         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
69 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
70         $(ACLOCAL_M4)
71 mkinstalldirs = $(install_sh) -d
72 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
73 CONFIG_CLEAN_FILES =
74 PROGRAMS = $(noinst_PROGRAMS)
75 am_bandwidth_bandwidth_maestro_OBJECTS = bandwidth.$(OBJEXT) \
76         _bandwidth_maestro.$(OBJEXT)
77 bandwidth_bandwidth_maestro_OBJECTS =  \
78         $(am_bandwidth_bandwidth_maestro_OBJECTS)
79 bandwidth_bandwidth_maestro_DEPENDENCIES = $(LDADD_RL)
80 am__dirstamp = $(am__leading_dot)dirstamp
81 am_bandwidth_bandwidth_sensor_OBJECTS = bandwidth.$(OBJEXT) \
82         _bandwidth_sensor.$(OBJEXT)
83 bandwidth_bandwidth_sensor_OBJECTS =  \
84         $(am_bandwidth_bandwidth_sensor_OBJECTS)
85 bandwidth_bandwidth_sensor_DEPENDENCIES = $(LDADD_RL)
86 am_bandwidth_bandwidth_simulator_OBJECTS = bandwidth.$(OBJEXT) \
87         _bandwidth_simulator.$(OBJEXT)
88 bandwidth_bandwidth_simulator_OBJECTS =  \
89         $(am_bandwidth_bandwidth_simulator_OBJECTS)
90 bandwidth_bandwidth_simulator_DEPENDENCIES = $(LDADD_SG)
91 am_saturate_saturate_maestro_OBJECTS = saturate.$(OBJEXT) \
92         _saturate_maestro.$(OBJEXT)
93 saturate_saturate_maestro_OBJECTS =  \
94         $(am_saturate_saturate_maestro_OBJECTS)
95 saturate_saturate_maestro_DEPENDENCIES = $(LDADD_RL)
96 am_saturate_saturate_sensor_OBJECTS = saturate.$(OBJEXT) \
97         _saturate_sensor.$(OBJEXT)
98 saturate_saturate_sensor_OBJECTS =  \
99         $(am_saturate_saturate_sensor_OBJECTS)
100 saturate_saturate_sensor_DEPENDENCIES = $(LDADD_RL)
101 am_saturate_saturate_simulator_OBJECTS = saturate.$(OBJEXT) \
102         _saturate_simulator.$(OBJEXT)
103 saturate_saturate_simulator_OBJECTS =  \
104         $(am_saturate_saturate_simulator_OBJECTS)
105 saturate_saturate_simulator_DEPENDENCIES = $(LDADD_SG)
106 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
107 depcomp = $(SHELL) $(top_srcdir)/depcomp
108 am__depfiles_maybe = depfiles
109 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
110         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
111 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
112         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
113         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
114 CCLD = $(CC)
115 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
116         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
117         $(LDFLAGS) -o $@
118 SOURCES = $(bandwidth_bandwidth_maestro_SOURCES) \
119         $(bandwidth_bandwidth_sensor_SOURCES) \
120         $(bandwidth_bandwidth_simulator_SOURCES) \
121         $(saturate_saturate_maestro_SOURCES) \
122         $(saturate_saturate_sensor_SOURCES) \
123         $(saturate_saturate_simulator_SOURCES)
124 DIST_SOURCES = $(bandwidth_bandwidth_maestro_SOURCES) \
125         $(bandwidth_bandwidth_sensor_SOURCES) \
126         $(bandwidth_bandwidth_simulator_SOURCES) \
127         $(saturate_saturate_maestro_SOURCES) \
128         $(saturate_saturate_sensor_SOURCES) \
129         $(saturate_saturate_simulator_SOURCES)
130 ETAGS = etags
131 CTAGS = ctags
132 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
133 ACLOCAL = @ACLOCAL@
134 ADDR2LINE = @ADDR2LINE@
135 AMTAR = @AMTAR@
136 AM_CPPFLAGS = @AM_CPPFLAGS@
137 AR = @AR@
138 AS = @AS@
139 AUTOCONF = @AUTOCONF@
140 AUTOHEADER = @AUTOHEADER@
141 AUTOMAKE = @AUTOMAKE@
142 AWK = @AWK@
143 BASH = @BASH@
144 CC = @CC@
145 CCDEPMODE = @CCDEPMODE@
146 CFLAGS = @CFLAGS@
147 CPP = @CPP@
148 CPPFLAGS = @CPPFLAGS@
149 CXX = @CXX@
150 CXXCPP = @CXXCPP@
151 CXXDEPMODE = @CXXDEPMODE@
152 CXXFLAGS = @CXXFLAGS@
153 CYGPATH_W = @CYGPATH_W@
154 DEFS = @DEFS@
155 DEPDIR = @DEPDIR@
156 DLLTOOL = @DLLTOOL@
157 DOXYGEN = @DOXYGEN@
158 ECHO = @ECHO@
159 ECHO_C = @ECHO_C@
160 ECHO_N = @ECHO_N@
161 ECHO_T = @ECHO_T@
162 EGREP = @EGREP@
163 EXEEXT = @EXEEXT@
164 FLEXML = @FLEXML@
165 GCJ = @GCJ@
166 GCJDEPMODE = @GCJDEPMODE@
167 GCJFLAGS = @GCJFLAGS@
168 GRAS_DEP = @GRAS_DEP@
169 GREP = @GREP@
170 INSTALL = @INSTALL@
171 INSTALL_DATA = @INSTALL_DATA@
172 INSTALL_PROGRAM = @INSTALL_PROGRAM@
173 INSTALL_SCRIPT = @INSTALL_SCRIPT@
174 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
175 JAR = @JAR@
176 JAVA = @JAVA@
177 JAVAC = @JAVAC@
178 LDFLAGS = @LDFLAGS@
179 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
180 LEX = @LEX@
181 LEXLIB = @LEXLIB@
182 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
183 LIBOBJS = @LIBOBJS@
184 LIBS = @LIBS@
185 LIBTOOL = @LIBTOOL@
186 LN_S = @LN_S@
187 LTLIBOBJS = @LTLIBOBJS@
188 MAINT = @MAINT@
189 MAKEINFO = @MAKEINFO@
190 MD5SUM = @MD5SUM@
191 MKDIR_P = @MKDIR_P@
192 OBJDUMP = @OBJDUMP@
193 OBJEXT = @OBJEXT@
194 PACKAGE = @PACKAGE@
195 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
196 PACKAGE_NAME = @PACKAGE_NAME@
197 PACKAGE_STRING = @PACKAGE_STRING@
198 PACKAGE_TARNAME = @PACKAGE_TARNAME@
199 PACKAGE_VERSION = @PACKAGE_VERSION@
200 PATH_SEPARATOR = @PATH_SEPARATOR@
201 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
202 RANLIB = @RANLIB@
203 SED = @SED@
204 SET_MAKE = @SET_MAKE@
205 SHELL = @SHELL@
206 SIMGRID_DEP = @SIMGRID_DEP@
207 SMPI_DEP = @SMPI_DEP@
208 STRIP = @STRIP@
209 VERSION = @VERSION@
210 WARNING = @WARNING@
211 abs_builddir = @abs_builddir@
212 abs_srcdir = @abs_srcdir@
213 abs_top_builddir = @abs_top_builddir@
214 abs_top_srcdir = @abs_top_srcdir@
215 ac_configure_args = @ac_configure_args@
216 ac_ct_CC = @ac_ct_CC@
217 ac_ct_CXX = @ac_ct_CXX@
218 am__include = @am__include@
219 am__leading_dot = @am__leading_dot@
220 am__quote = @am__quote@
221 am__tar = @am__tar@
222 am__untar = @am__untar@
223 bindir = @bindir@
224 build = @build@
225 build_alias = @build_alias@
226 build_cpu = @build_cpu@
227 build_id = @build_id@
228 build_os = @build_os@
229 build_vendor = @build_vendor@
230 builddir = @builddir@
231 datadir = @datadir@
232 datarootdir = @datarootdir@
233 docdir = @docdir@
234 dvidir = @dvidir@
235 exec_prefix = @exec_prefix@
236 host = @host@
237 host_alias = @host_alias@
238 host_cpu = @host_cpu@
239 host_os = @host_os@
240 host_vendor = @host_vendor@
241 htmldir = @htmldir@
242 includedir = @includedir@
243 infodir = @infodir@
244 install_sh = @install_sh@
245 libdir = @libdir@
246 libexecdir = @libexecdir@
247 localedir = @localedir@
248 localstatedir = @localstatedir@
249 mandir = @mandir@
250 mkdir_p = @mkdir_p@
251 oldincludedir = @oldincludedir@
252 pdfdir = @pdfdir@
253 prefix = @prefix@
254 program_transform_name = @program_transform_name@
255 psdir = @psdir@
256 pth_skaddr_makecontext = @pth_skaddr_makecontext@
257 pth_sksize_makecontext = @pth_sksize_makecontext@
258 sbindir = @sbindir@
259 sharedstatedir = @sharedstatedir@
260 srcdir = @srcdir@
261 sysconfdir = @sysconfdir@
262 target = @target@
263 target_alias = @target_alias@
264 target_cpu = @target_cpu@
265 target_os = @target_os@
266 target_vendor = @target_vendor@
267 top_builddir = @top_builddir@
268 top_srcdir = @top_srcdir@
269 INCLUDES = -I$(top_srcdir)/include
270 AM_CFLAGS = -g
271
272 ###################
273 # Bandwidth tests #
274 ###################
275
276 ###################
277 # saturate tests #
278 ###################
279 EXTRA_DIST = bandwidth/bandwidth.xml saturate/saturate.xml
280 TESTS_ENVIRONMENT = $(top_builddir)/tools/tesh/tesh
281 TESTS = $(am__append_1) $(am__append_2) $(am__append_3) \
282         $(am__append_4)
283 XFAIL_TESTS = 
284 LDADD_SG = $(top_builddir)/src/libsimgrid.la
285 LDADD_RL = $(top_builddir)/src/libgras.la
286 bandwidth_bandwidth_simulator_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_simulator.c
287 bandwidth_bandwidth_maestro_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_maestro.c
288 bandwidth_bandwidth_sensor_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_sensor.c 
289 bandwidth_bandwidth_simulator_LDADD = $(LDADD_SG)
290 bandwidth_bandwidth_maestro_LDADD = $(LDADD_RL)
291 bandwidth_bandwidth_sensor_LDADD = $(LDADD_RL)
292 saturate_saturate_simulator_SOURCES = saturate/saturate.c saturate/_saturate_simulator.c
293 saturate_saturate_maestro_SOURCES = saturate/saturate.c saturate/_saturate_maestro.c
294 saturate_saturate_sensor_SOURCES = saturate/saturate.c saturate/_saturate_sensor.c 
295 saturate_saturate_simulator_LDADD = $(LDADD_SG)
296 saturate_saturate_maestro_LDADD = $(LDADD_RL)
297 saturate_saturate_sensor_LDADD = $(LDADD_RL)
298 all: all-am
299
300 .SUFFIXES:
301 .SUFFIXES: .c .lo .o .obj
302 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
303         @for dep in $?; do \
304           case '$(am__configure_deps)' in \
305             *$$dep*) \
306               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
307                 && exit 0; \
308               exit 1;; \
309           esac; \
310         done; \
311         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/amok/Makefile'; \
312         cd $(top_srcdir) && \
313           $(AUTOMAKE) --gnu  examples/amok/Makefile
314 .PRECIOUS: Makefile
315 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
316         @case '$?' in \
317           *config.status*) \
318             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
319           *) \
320             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
321             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
322         esac;
323
324 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
325         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
326
327 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
328         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
329 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
330         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
331
332 clean-noinstPROGRAMS:
333         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
334           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
335           echo " rm -f $$p $$f"; \
336           rm -f $$p $$f ; \
337         done
338 bandwidth/$(am__dirstamp):
339         @$(MKDIR_P) bandwidth
340         @: > bandwidth/$(am__dirstamp)
341 bandwidth/bandwidth_maestro$(EXEEXT): $(bandwidth_bandwidth_maestro_OBJECTS) $(bandwidth_bandwidth_maestro_DEPENDENCIES) bandwidth/$(am__dirstamp)
342         @rm -f bandwidth/bandwidth_maestro$(EXEEXT)
343         $(LINK) $(bandwidth_bandwidth_maestro_OBJECTS) $(bandwidth_bandwidth_maestro_LDADD) $(LIBS)
344 bandwidth/bandwidth_sensor$(EXEEXT): $(bandwidth_bandwidth_sensor_OBJECTS) $(bandwidth_bandwidth_sensor_DEPENDENCIES) bandwidth/$(am__dirstamp)
345         @rm -f bandwidth/bandwidth_sensor$(EXEEXT)
346         $(LINK) $(bandwidth_bandwidth_sensor_OBJECTS) $(bandwidth_bandwidth_sensor_LDADD) $(LIBS)
347 bandwidth/bandwidth_simulator$(EXEEXT): $(bandwidth_bandwidth_simulator_OBJECTS) $(bandwidth_bandwidth_simulator_DEPENDENCIES) bandwidth/$(am__dirstamp)
348         @rm -f bandwidth/bandwidth_simulator$(EXEEXT)
349         $(LINK) $(bandwidth_bandwidth_simulator_OBJECTS) $(bandwidth_bandwidth_simulator_LDADD) $(LIBS)
350 saturate/$(am__dirstamp):
351         @$(MKDIR_P) saturate
352         @: > saturate/$(am__dirstamp)
353 saturate/saturate_maestro$(EXEEXT): $(saturate_saturate_maestro_OBJECTS) $(saturate_saturate_maestro_DEPENDENCIES) saturate/$(am__dirstamp)
354         @rm -f saturate/saturate_maestro$(EXEEXT)
355         $(LINK) $(saturate_saturate_maestro_OBJECTS) $(saturate_saturate_maestro_LDADD) $(LIBS)
356 saturate/saturate_sensor$(EXEEXT): $(saturate_saturate_sensor_OBJECTS) $(saturate_saturate_sensor_DEPENDENCIES) saturate/$(am__dirstamp)
357         @rm -f saturate/saturate_sensor$(EXEEXT)
358         $(LINK) $(saturate_saturate_sensor_OBJECTS) $(saturate_saturate_sensor_LDADD) $(LIBS)
359 saturate/saturate_simulator$(EXEEXT): $(saturate_saturate_simulator_OBJECTS) $(saturate_saturate_simulator_DEPENDENCIES) saturate/$(am__dirstamp)
360         @rm -f saturate/saturate_simulator$(EXEEXT)
361         $(LINK) $(saturate_saturate_simulator_OBJECTS) $(saturate_saturate_simulator_LDADD) $(LIBS)
362
363 mostlyclean-compile:
364         -rm -f *.$(OBJEXT)
365
366 distclean-compile:
367         -rm -f *.tab.c
368
369 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_maestro.Po@am__quote@
370 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_sensor.Po@am__quote@
371 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_simulator.Po@am__quote@
372 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_maestro.Po@am__quote@
373 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_sensor.Po@am__quote@
374 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_simulator.Po@am__quote@
375 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bandwidth.Po@am__quote@
376 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/saturate.Po@am__quote@
377
378 .c.o:
379 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
380 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
381 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
382 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
383 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
384
385 .c.obj:
386 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
387 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
388 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
389 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
390 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
391
392 .c.lo:
393 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
394 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
395 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
396 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
397 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
398
399 bandwidth.o: bandwidth/bandwidth.c
400 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bandwidth.o -MD -MP -MF $(DEPDIR)/bandwidth.Tpo -c -o bandwidth.o `test -f 'bandwidth/bandwidth.c' || echo '$(srcdir)/'`bandwidth/bandwidth.c
401 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/bandwidth.Tpo $(DEPDIR)/bandwidth.Po
402 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/bandwidth.c' object='bandwidth.o' libtool=no @AMDEPBACKSLASH@
403 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
404 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bandwidth.o `test -f 'bandwidth/bandwidth.c' || echo '$(srcdir)/'`bandwidth/bandwidth.c
405
406 bandwidth.obj: bandwidth/bandwidth.c
407 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bandwidth.obj -MD -MP -MF $(DEPDIR)/bandwidth.Tpo -c -o bandwidth.obj `if test -f 'bandwidth/bandwidth.c'; then $(CYGPATH_W) 'bandwidth/bandwidth.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/bandwidth.c'; fi`
408 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/bandwidth.Tpo $(DEPDIR)/bandwidth.Po
409 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/bandwidth.c' object='bandwidth.obj' libtool=no @AMDEPBACKSLASH@
410 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
411 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bandwidth.obj `if test -f 'bandwidth/bandwidth.c'; then $(CYGPATH_W) 'bandwidth/bandwidth.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/bandwidth.c'; fi`
412
413 _bandwidth_maestro.o: bandwidth/_bandwidth_maestro.c
414 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_maestro.o -MD -MP -MF $(DEPDIR)/_bandwidth_maestro.Tpo -c -o _bandwidth_maestro.o `test -f 'bandwidth/_bandwidth_maestro.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_maestro.c
415 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_maestro.Tpo $(DEPDIR)/_bandwidth_maestro.Po
416 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_maestro.c' object='_bandwidth_maestro.o' libtool=no @AMDEPBACKSLASH@
417 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
418 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_maestro.o `test -f 'bandwidth/_bandwidth_maestro.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_maestro.c
419
420 _bandwidth_maestro.obj: bandwidth/_bandwidth_maestro.c
421 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_maestro.obj -MD -MP -MF $(DEPDIR)/_bandwidth_maestro.Tpo -c -o _bandwidth_maestro.obj `if test -f 'bandwidth/_bandwidth_maestro.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_maestro.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_maestro.c'; fi`
422 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_maestro.Tpo $(DEPDIR)/_bandwidth_maestro.Po
423 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_maestro.c' object='_bandwidth_maestro.obj' libtool=no @AMDEPBACKSLASH@
424 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
425 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_maestro.obj `if test -f 'bandwidth/_bandwidth_maestro.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_maestro.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_maestro.c'; fi`
426
427 _bandwidth_sensor.o: bandwidth/_bandwidth_sensor.c
428 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_sensor.o -MD -MP -MF $(DEPDIR)/_bandwidth_sensor.Tpo -c -o _bandwidth_sensor.o `test -f 'bandwidth/_bandwidth_sensor.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_sensor.c
429 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_sensor.Tpo $(DEPDIR)/_bandwidth_sensor.Po
430 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_sensor.c' object='_bandwidth_sensor.o' libtool=no @AMDEPBACKSLASH@
431 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
432 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_sensor.o `test -f 'bandwidth/_bandwidth_sensor.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_sensor.c
433
434 _bandwidth_sensor.obj: bandwidth/_bandwidth_sensor.c
435 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_sensor.obj -MD -MP -MF $(DEPDIR)/_bandwidth_sensor.Tpo -c -o _bandwidth_sensor.obj `if test -f 'bandwidth/_bandwidth_sensor.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_sensor.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_sensor.c'; fi`
436 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_sensor.Tpo $(DEPDIR)/_bandwidth_sensor.Po
437 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_sensor.c' object='_bandwidth_sensor.obj' libtool=no @AMDEPBACKSLASH@
438 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
439 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_sensor.obj `if test -f 'bandwidth/_bandwidth_sensor.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_sensor.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_sensor.c'; fi`
440
441 _bandwidth_simulator.o: bandwidth/_bandwidth_simulator.c
442 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_simulator.o -MD -MP -MF $(DEPDIR)/_bandwidth_simulator.Tpo -c -o _bandwidth_simulator.o `test -f 'bandwidth/_bandwidth_simulator.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_simulator.c
443 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_simulator.Tpo $(DEPDIR)/_bandwidth_simulator.Po
444 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_simulator.c' object='_bandwidth_simulator.o' libtool=no @AMDEPBACKSLASH@
445 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
446 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_simulator.o `test -f 'bandwidth/_bandwidth_simulator.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_simulator.c
447
448 _bandwidth_simulator.obj: bandwidth/_bandwidth_simulator.c
449 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_simulator.obj -MD -MP -MF $(DEPDIR)/_bandwidth_simulator.Tpo -c -o _bandwidth_simulator.obj `if test -f 'bandwidth/_bandwidth_simulator.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_simulator.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_simulator.c'; fi`
450 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_simulator.Tpo $(DEPDIR)/_bandwidth_simulator.Po
451 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_simulator.c' object='_bandwidth_simulator.obj' libtool=no @AMDEPBACKSLASH@
452 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
453 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_simulator.obj `if test -f 'bandwidth/_bandwidth_simulator.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_simulator.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_simulator.c'; fi`
454
455 saturate.o: saturate/saturate.c
456 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT saturate.o -MD -MP -MF $(DEPDIR)/saturate.Tpo -c -o saturate.o `test -f 'saturate/saturate.c' || echo '$(srcdir)/'`saturate/saturate.c
457 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/saturate.Tpo $(DEPDIR)/saturate.Po
458 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/saturate.c' object='saturate.o' libtool=no @AMDEPBACKSLASH@
459 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
460 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o saturate.o `test -f 'saturate/saturate.c' || echo '$(srcdir)/'`saturate/saturate.c
461
462 saturate.obj: saturate/saturate.c
463 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT saturate.obj -MD -MP -MF $(DEPDIR)/saturate.Tpo -c -o saturate.obj `if test -f 'saturate/saturate.c'; then $(CYGPATH_W) 'saturate/saturate.c'; else $(CYGPATH_W) '$(srcdir)/saturate/saturate.c'; fi`
464 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/saturate.Tpo $(DEPDIR)/saturate.Po
465 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/saturate.c' object='saturate.obj' libtool=no @AMDEPBACKSLASH@
466 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
467 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o saturate.obj `if test -f 'saturate/saturate.c'; then $(CYGPATH_W) 'saturate/saturate.c'; else $(CYGPATH_W) '$(srcdir)/saturate/saturate.c'; fi`
468
469 _saturate_maestro.o: saturate/_saturate_maestro.c
470 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_maestro.o -MD -MP -MF $(DEPDIR)/_saturate_maestro.Tpo -c -o _saturate_maestro.o `test -f 'saturate/_saturate_maestro.c' || echo '$(srcdir)/'`saturate/_saturate_maestro.c
471 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_maestro.Tpo $(DEPDIR)/_saturate_maestro.Po
472 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_maestro.c' object='_saturate_maestro.o' libtool=no @AMDEPBACKSLASH@
473 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
474 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_maestro.o `test -f 'saturate/_saturate_maestro.c' || echo '$(srcdir)/'`saturate/_saturate_maestro.c
475
476 _saturate_maestro.obj: saturate/_saturate_maestro.c
477 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_maestro.obj -MD -MP -MF $(DEPDIR)/_saturate_maestro.Tpo -c -o _saturate_maestro.obj `if test -f 'saturate/_saturate_maestro.c'; then $(CYGPATH_W) 'saturate/_saturate_maestro.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_maestro.c'; fi`
478 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_maestro.Tpo $(DEPDIR)/_saturate_maestro.Po
479 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_maestro.c' object='_saturate_maestro.obj' libtool=no @AMDEPBACKSLASH@
480 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
481 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_maestro.obj `if test -f 'saturate/_saturate_maestro.c'; then $(CYGPATH_W) 'saturate/_saturate_maestro.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_maestro.c'; fi`
482
483 _saturate_sensor.o: saturate/_saturate_sensor.c
484 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_sensor.o -MD -MP -MF $(DEPDIR)/_saturate_sensor.Tpo -c -o _saturate_sensor.o `test -f 'saturate/_saturate_sensor.c' || echo '$(srcdir)/'`saturate/_saturate_sensor.c
485 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_sensor.Tpo $(DEPDIR)/_saturate_sensor.Po
486 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_sensor.c' object='_saturate_sensor.o' libtool=no @AMDEPBACKSLASH@
487 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
488 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_sensor.o `test -f 'saturate/_saturate_sensor.c' || echo '$(srcdir)/'`saturate/_saturate_sensor.c
489
490 _saturate_sensor.obj: saturate/_saturate_sensor.c
491 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_sensor.obj -MD -MP -MF $(DEPDIR)/_saturate_sensor.Tpo -c -o _saturate_sensor.obj `if test -f 'saturate/_saturate_sensor.c'; then $(CYGPATH_W) 'saturate/_saturate_sensor.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_sensor.c'; fi`
492 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_sensor.Tpo $(DEPDIR)/_saturate_sensor.Po
493 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_sensor.c' object='_saturate_sensor.obj' libtool=no @AMDEPBACKSLASH@
494 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
495 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_sensor.obj `if test -f 'saturate/_saturate_sensor.c'; then $(CYGPATH_W) 'saturate/_saturate_sensor.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_sensor.c'; fi`
496
497 _saturate_simulator.o: saturate/_saturate_simulator.c
498 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_simulator.o -MD -MP -MF $(DEPDIR)/_saturate_simulator.Tpo -c -o _saturate_simulator.o `test -f 'saturate/_saturate_simulator.c' || echo '$(srcdir)/'`saturate/_saturate_simulator.c
499 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_simulator.Tpo $(DEPDIR)/_saturate_simulator.Po
500 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_simulator.c' object='_saturate_simulator.o' libtool=no @AMDEPBACKSLASH@
501 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
502 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_simulator.o `test -f 'saturate/_saturate_simulator.c' || echo '$(srcdir)/'`saturate/_saturate_simulator.c
503
504 _saturate_simulator.obj: saturate/_saturate_simulator.c
505 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_simulator.obj -MD -MP -MF $(DEPDIR)/_saturate_simulator.Tpo -c -o _saturate_simulator.obj `if test -f 'saturate/_saturate_simulator.c'; then $(CYGPATH_W) 'saturate/_saturate_simulator.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_simulator.c'; fi`
506 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_simulator.Tpo $(DEPDIR)/_saturate_simulator.Po
507 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_simulator.c' object='_saturate_simulator.obj' libtool=no @AMDEPBACKSLASH@
508 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
509 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_simulator.obj `if test -f 'saturate/_saturate_simulator.c'; then $(CYGPATH_W) 'saturate/_saturate_simulator.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_simulator.c'; fi`
510
511 mostlyclean-libtool:
512         -rm -f *.lo
513
514 clean-libtool:
515         -rm -rf .libs _libs
516
517 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
518         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
519         unique=`for i in $$list; do \
520             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
521           done | \
522           $(AWK) '    { files[$$0] = 1; } \
523                END { for (i in files) print i; }'`; \
524         mkid -fID $$unique
525 tags: TAGS
526
527 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
528                 $(TAGS_FILES) $(LISP)
529         tags=; \
530         here=`pwd`; \
531         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
532         unique=`for i in $$list; do \
533             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
534           done | \
535           $(AWK) '    { files[$$0] = 1; } \
536                END { for (i in files) print i; }'`; \
537         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
538           test -n "$$unique" || unique=$$empty_fix; \
539           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
540             $$tags $$unique; \
541         fi
542 ctags: CTAGS
543 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
544                 $(TAGS_FILES) $(LISP)
545         tags=; \
546         here=`pwd`; \
547         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
548         unique=`for i in $$list; do \
549             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
550           done | \
551           $(AWK) '    { files[$$0] = 1; } \
552                END { for (i in files) print i; }'`; \
553         test -z "$(CTAGS_ARGS)$$tags$$unique" \
554           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
555              $$tags $$unique
556
557 GTAGS:
558         here=`$(am__cd) $(top_builddir) && pwd` \
559           && cd $(top_srcdir) \
560           && gtags -i $(GTAGS_ARGS) $$here
561
562 distclean-tags:
563         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
564
565 check-TESTS: $(TESTS)
566         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
567         srcdir=$(srcdir); export srcdir; \
568         list=' $(TESTS) '; \
569         if test -n "$$list"; then \
570           for tst in $$list; do \
571             if test -f ./$$tst; then dir=./; \
572             elif test -f $$tst; then dir=; \
573             else dir="$(srcdir)/"; fi; \
574             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
575               all=`expr $$all + 1`; \
576               case " $(XFAIL_TESTS) " in \
577               *$$ws$$tst$$ws*) \
578                 xpass=`expr $$xpass + 1`; \
579                 failed=`expr $$failed + 1`; \
580                 echo "XPASS: $$tst"; \
581               ;; \
582               *) \
583                 echo "PASS: $$tst"; \
584               ;; \
585               esac; \
586             elif test $$? -ne 77; then \
587               all=`expr $$all + 1`; \
588               case " $(XFAIL_TESTS) " in \
589               *$$ws$$tst$$ws*) \
590                 xfail=`expr $$xfail + 1`; \
591                 echo "XFAIL: $$tst"; \
592               ;; \
593               *) \
594                 failed=`expr $$failed + 1`; \
595                 echo "FAIL: $$tst"; \
596               ;; \
597               esac; \
598             else \
599               skip=`expr $$skip + 1`; \
600               echo "SKIP: $$tst"; \
601             fi; \
602           done; \
603           if test "$$failed" -eq 0; then \
604             if test "$$xfail" -eq 0; then \
605               banner="All $$all tests passed"; \
606             else \
607               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
608             fi; \
609           else \
610             if test "$$xpass" -eq 0; then \
611               banner="$$failed of $$all tests failed"; \
612             else \
613               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
614             fi; \
615           fi; \
616           dashes="$$banner"; \
617           skipped=""; \
618           if test "$$skip" -ne 0; then \
619             skipped="($$skip tests were not run)"; \
620             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
621               dashes="$$skipped"; \
622           fi; \
623           report=""; \
624           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
625             report="Please report to $(PACKAGE_BUGREPORT)"; \
626             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
627               dashes="$$report"; \
628           fi; \
629           dashes=`echo "$$dashes" | sed s/./=/g`; \
630           echo "$$dashes"; \
631           echo "$$banner"; \
632           test -z "$$skipped" || echo "$$skipped"; \
633           test -z "$$report" || echo "$$report"; \
634           echo "$$dashes"; \
635           test "$$failed" -eq 0; \
636         else :; fi
637
638 distdir: $(DISTFILES)
639         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
640         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
641         list='$(DISTFILES)'; \
642           dist_files=`for file in $$list; do echo $$file; done | \
643           sed -e "s|^$$srcdirstrip/||;t" \
644               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
645         case $$dist_files in \
646           */*) $(MKDIR_P) `echo "$$dist_files" | \
647                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
648                            sort -u` ;; \
649         esac; \
650         for file in $$dist_files; do \
651           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
652           if test -d $$d/$$file; then \
653             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
654             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
655               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
656             fi; \
657             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
658           else \
659             test -f $(distdir)/$$file \
660             || cp -p $$d/$$file $(distdir)/$$file \
661             || exit 1; \
662           fi; \
663         done
664 check-am: all-am
665         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
666 check: check-am
667 all-am: Makefile $(PROGRAMS)
668 installdirs:
669 install: install-am
670 install-exec: install-exec-am
671 install-data: install-data-am
672 uninstall: uninstall-am
673
674 install-am: all-am
675         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
676
677 installcheck: installcheck-am
678 install-strip:
679         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
680           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
681           `test -z '$(STRIP)' || \
682             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
683 mostlyclean-generic:
684
685 clean-generic:
686
687 distclean-generic:
688         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
689         -rm -f bandwidth/$(am__dirstamp)
690         -rm -f saturate/$(am__dirstamp)
691
692 maintainer-clean-generic:
693         @echo "This command is intended for maintainers to use"
694         @echo "it deletes files that may require special tools to rebuild."
695 clean: clean-am
696
697 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
698         mostlyclean-am
699
700 distclean: distclean-am
701         -rm -rf ./$(DEPDIR)
702         -rm -f Makefile
703 distclean-am: clean-am distclean-compile distclean-generic \
704         distclean-tags
705
706 dvi: dvi-am
707
708 dvi-am:
709
710 html: html-am
711
712 info: info-am
713
714 info-am:
715
716 install-data-am:
717
718 install-dvi: install-dvi-am
719
720 install-exec-am:
721
722 install-html: install-html-am
723
724 install-info: install-info-am
725
726 install-man:
727
728 install-pdf: install-pdf-am
729
730 install-ps: install-ps-am
731
732 installcheck-am:
733
734 maintainer-clean: maintainer-clean-am
735         -rm -rf ./$(DEPDIR)
736         -rm -f Makefile
737 maintainer-clean-am: distclean-am maintainer-clean-generic
738
739 mostlyclean: mostlyclean-am
740
741 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
742         mostlyclean-libtool
743
744 pdf: pdf-am
745
746 pdf-am:
747
748 ps: ps-am
749
750 ps-am:
751
752 uninstall-am:
753
754 .MAKE: install-am install-strip
755
756 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
757         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
758         distclean distclean-compile distclean-generic \
759         distclean-libtool distclean-tags distdir dvi dvi-am html \
760         html-am info info-am install install-am install-data \
761         install-data-am install-dvi install-dvi-am install-exec \
762         install-exec-am install-html install-html-am install-info \
763         install-info-am install-man install-pdf install-pdf-am \
764         install-ps install-ps-am install-strip installcheck \
765         installcheck-am installdirs maintainer-clean \
766         maintainer-clean-generic mostlyclean mostlyclean-compile \
767         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
768         tags uninstall uninstall-am
769
770
771 # Take care of generatated sources
772 bandwidth/_bandwidth_simulator.c bandwidth/_bandwidth_sensor.c bandwidth/_bandwidth_maestro.c : bandwidth/bandwidth.c bandwidth/bandwidth.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
773         cd bandwidth; ../$(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ bandwidth ../$(top_srcdir)/examples/amok/bandwidth/bandwidth.xml
774
775 # Take care of generatated sources
776 saturate/_saturate_simulator.c saturate/_saturate_sensor.c saturate/_saturate_maestro.c : saturate/saturate.c saturate/saturate.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
777         cd saturate; ../$(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ saturate ../$(top_srcdir)/examples/amok/saturate/saturate.xml
778
779 dist-files:
780         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
781         @echo
782         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
783
784 #########
785 # Cruft #
786 #########
787 # Tell versions [3.59,3.63) of GNU make to not export all variables.
788 # Otherwise a system limit (for SysV at least) may be exceeded.
789 .NOEXPORT: